@import "vendor/bootstrap/bootstrap/variables";
@import "vendor/bourbon/bourbon";
@import "variables";
@import "typography";
@import "vendor/slick";
@import "mixins/js--enabled";
@import "mixins/columns-wide";
@import "mixins/ie10-and-up";
@import "utility-classes";
@import "gke-promo-banner";

$lt-static-nav-spacing: $spacing-unit-sm;
$lt-static-nav-bg-color: #380d75;

body {
  background-color: $color-white;

  // target homepage
  &.index {
    @include font-weight-light;
    padding-top: 0;
    font-size: 20px;
    line-height: (28px / 20px);

    .navbar-fixed-top {
      transition: background .2s;

      .container {
        width: 100%;
        padding: 0 78px;
        max-width: 1440px;
        margin: auto;

        @media all and (max-width: $screen-lg-min) {
          padding: 0 20px;
        }

      }

    }
  }

  &.static-nav {

    > header:first-of-type {
      background-color: $color-white;
    }

    .sticky-nav-placeholder {
      display: none;
    }

    .navbar-fixed-top {
      position: static;
      border-bottom-width: 0;
      padding: 10px 0;
      margin-bottom: 0;
    }

    // scss-lint:disable SelectorDepth
    .navbar-default .navbar-nav > li {
      > a {
        transition: unset;
      }

      &.open > a {
        background-color: $dropdown-bg;
      }
    }
    // scss-lint:enable SelectorDepth

    .nav-logo .wordmark {
      fill: currentcolor;
    }

    .search-box,
    .search-input {
      background-color: $color-white;
    }

    .search-input {
      border-color: $color-gray-dark;
      margin-right: 30px;
      padding-right: 0;
      font-weight: 400;

      &::placeholder {
        color: currentcolor;
      }
    }

    .search-icon:hover {
      color: darken($color-white, 60%);
    }

    .search-close {
      right: 0;
    }

    .navbar-default .navbar-toggle .icon-bar {
      background-color: currentcolor;
    }

    .navbar-collapse {
      &.collapsing,
      &.collapse.in {
        position: absolute;
        width: 100%;
        background-color: $lt-static-nav-bg-color;
        z-index: 2;
      }
    }
  }
}

.flex-row {
  @media (min-width: $screen-md-min) {
    display: flex;
  }
}

.btn {
  font-weight: 300;
}

.js-hover {
  cursor: pointer;

  a {
    color: $link-hover-color;
    text-decoration: $link-hover-decoration;
  }
}

.gitlab-promo-banner {
  $lt-bg-color: #de7e00;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: $spacing-unit-lg;
  padding: 10px;
  background-color: $lt-bg-color;
  font-size: 20px;

  @include ie10-and-up {
    height: $spacing-unit-lg;
  }

  > a {
    border-bottom: 1px solid transparent;

    &:hover {
      border-bottom-color: $color-white;
      text-decoration: none;
    }
  }
}

.home-splash {
  position: relative;
  padding: 120px 140px;
  padding-bottom: 156px;
  max-width: 1440px;
  margin: auto;
  background: $color-white;

  .hero-container {
    align-items: flex-start;
    padding-right: 100px;

    @media all and (max-width: $screen-md-min) {
      padding-right: 0;
      align-items: center;
      padding: 120px 0;
    }

  }

  .hero-image {
    height: 100%;
    padding: 20px 0;
    padding-bottom: 40px;
    position: absolute;
    right: 160px;
    top: 0;
    transition: .4s cubic-bezier(0, 0, 0, 1);

    @media all and (max-width: $screen-lg-min) {
      position: relative;
      height: auto;
      margin: auto;
      width: 100%;
      max-width: 540px;
      right: 20px;
      top: 0;
      padding: 40px 0;
      padding-bottom: 60px;
    }

    @media all and (max-width: $screen-md-min) {
      right: 0;
    }

  }

  .hero-image:hover {
    transform: scale(1.02);
  }

  .hero-image-container {
    flex-wrap: wrap;

    @media all and (max-width: $screen-md-min) {
      margin-bottom: 120px;
    }

  }

  .forrester-logo {
    height: 56px;
    padding: 20px;
    background: $color-white;
    position: absolute;
    right: 170px;
    bottom: 80px;
    border-radius: $border-radius-large;
    box-shadow: 0 2px 4px $color-transparent-alt;
    z-index: 1;

    @media all and (max-width: $screen-lg-min) {
      right: 100px;
      bottom: 100px;
    }

    @media all and (max-width: $screen-md-min) {
      position: relative;
      height: auto;
      width: 100%;
      max-width: 300px;
      right: 0;
      bottom: 0;
    }

  }

  .btn,
  .hero-title,
  .hero-description {
    margin: 0;
  }

  p {
    margin: 0;
    font-weight: 400;
    font-size: 16px;
    color: $color-primary;
    opacity: .6;
    cursor: pointer;
    padding: 10px;
    padding-left: 0;
  }

  p:hover {
    opacity: 1;
  }

  .hero-title {
    font-size: 42px;
    font-weight: 600;
  }

  .hero-description {
    margin-top: 10px;
    line-height: 1.5;
    color: $color-gray;
    font-size: 20px;
  }

  .btn {
    margin-top: 42px;
    margin-bottom: 20px;
    font-weight: 400;
    padding: 4px 30px;
    font-size: 18px;
  }

  .page-subtitle {
    @include accent-font-light;
    max-width: 784px;
    margin: 20px auto 18px;
    font-size: 28px;
  }

  @media all and (max-width: $screen-lg-min) {
    padding: 0 80px;
  }

  @media all and (max-width: $screen-md-min) {
    flex-wrap: wrap;
  }

  @media all and (max-width: $screen-sm-min) {
    padding: 0 20px;
  }

}

.home-pillars {
  position: relative;
  padding-top: $spacing-unit-sm;
  padding-bottom: 220px;
  color: $color-white;

  &::before {
    $lt-bg-color: #231a3d;
    $lt-gradient-color-1: $lt-static-nav-bg-color;
    $lt-gradient-color-2: #6e49cb;
    $lt-gradient-color-3: #805de7;
    $lt-gradient-color-4: #9578eb;
    @include position(absolute, 0);
    background-color: $lt-bg-color;
    background-image: linear-gradient(180deg, $lt-gradient-color-1 0, $lt-gradient-color-2 50%, $lt-gradient-color-3 77%, $lt-gradient-color-4 100%);
    content: "";
    z-index: -1;
  }

  .page-subtitle {
    @include accent-font-light;
    max-width: 784px;
    margin: 20px auto 18px;
    font-size: 28px;
  }
}

.home-lifecycle-diagram {
  display: flex;
  flex-flow: column;
  margin-top: $spacing-unit-sm;
  margin-bottom: $spacing-unit-md;

  @media (min-width: $screen-sm-min) {
    flex-flow: row;
    margin-top: $spacing-unit-lg;
    margin-bottom: $spacing-unit-md;
  }

  &.is-checking-height {
    display: block;
  }
}

.lifecycle-diagram-nav-wrapper {
  @media (min-width: $screen-sm-min) {
    @include columns-wide(4);
  }
}

.lifecycle-diagram-nav-title {
  @include accent-font-light;
  margin: 0 0 $spacing-unit-xs;
  color: $color-gray-dark;
  font-size: 28px;

  @media (min-width: $screen-md-min) {
    font-size: 30px;
  }

  @media (min-width: $screen-lg-min) {
    font-size: 36px;
    margin-bottom: $spacing-unit-sm;
  }
}

.lifecycle-diagram-navigation {
  $lt-border-color: #7e62d0;
  //scss-lint:disable ColorVariable
  $phase-colors: (plan, #d0c3f6), (create, #9578eb), (verify, #fca121), (package, #de7e00), (release, #c0341d), (configure, #6e49cb), (monitor, #380d75);
  //scss-lint:enable ColorVariable
  @media (min-width: $screen-sm-min) {
    padding-right: 55px;
  }

  @media (max-width: $screen-xs-max) {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-bottom: $spacing-unit-xs;
  }

  li {
    $lt-divider-thickness: 3px;
    position: relative;
    flex: 1;
    display: flex;
    align-items: center;
    height: (24px + $lt-divider-thickness);
    padding-left: $spacing-unit-xs;
    border-top: $lt-divider-thickness solid $border-color;
    cursor: pointer;

    @media (max-width: $screen-xs-max) {
      flex: 0 0 auto;
      width: 48%;
    }

    @media (min-width: $screen-sm-min) {
      height: (80px + $lt-divider-thickness);
    }

    &:last-of-type::before {
      @include position(absolute, 100% null null 0);
      height: $lt-divider-thickness;
      width: 100%;
      background-color: $border-color;
      content: "";
    }

    @media (max-width: $screen-xs-max) {
      &:nth-child(6)::before {
        @include position(absolute, 100% null null 0);
        height: $lt-divider-thickness;
        width: 100%;
        background-color: $border-color;
        content: "";
      }
    }

    @each $phase, $color in $phase-colors {
      &.#{$phase} {
        color: $color;
      }
    }

    &.is-active {
      background-color: currentcolor;

      &::after {
        @include position(absolute, 0 null null 100%);
        // Manual triangle to use `currentcolor`
        height: 0;
        width: 0;
        border-color: transparent transparent transparent currentcolor;
        border-style: solid;
        border-width: 40px 0 40px 36px;

        @media (min-width: $screen-sm-min) {
          content: "";
        }
      }
    }
  }

  .icon-wrapper {
    @include size(56px);
    position: relative;
    display: none;
    align-items: center;
    justify-content: center;
    margin-right: 35px;
    border-radius: 50%;
    background-color: currentcolor;

    @media (min-width: $screen-sm-min) {
      display: flex;
    }
  }

  .is-active .icon-wrapper {
    background-color: $color-white;
  }

  svg {
    height: 34px;

    path {
      stroke: $color-white;
      fill: $color-white;
    }
  }

  .is-active svg path {
    stroke: currentcolor;
    fill: currentcolor;
  }

  span {
    position: relative;
    color: $color-gray-dark;
  }

  .is-active span {
    color: $color-white;
  }
}

.lifecycle-diagram-phase {
  color: $color-gray-dark;

  @media (max-width: $screen-xs-max) {
    // scss-lint:disable ImportantRule
    min-height: auto !important;
  }

  @include js--enabled() {
    @media (min-width: $screen-sm-min) {
      @include columns-wide(8);
      padding-left: $spacing-unit-md;
    }

    &:not(:first-of-type) {
      display: none;
    }
  }

  .home-lifecycle-diagram.is-checking-height & {
    // scss-lint:disable ImportantRule
    display: block !important;
  }

  .sub-heading {
    @include accent-font-light;
    margin: 0 0 10px;
    font-size: 28px;

    @media (min-width: $screen-md-min) {
      font-size: 30px;
    }
  }

  .description {
    margin-bottom: 15px;
    font-size: 20px;
    font-weight: 300;
    line-height: 1.3;
  }

  .more-link {
    color: $color-blue-link;
  }

  .image-wrapper {
    margin-top: $spacing-unit-sm;

    img {
      border: 1px solid $border-color;
    }
  }
}

.logo-divider {
  margin-top: 65px;
  margin-bottom: 40px;
}

.logo-divider-body {
  position: relative;

  &::before {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 3px;
    background-color: $color-accent-light;
    content: "";
  }

  &::after {
    $lt-width: 60px;
    position: absolute;
    top: 0;
    left: 50%;
    width: $lt-width;
    height: 3px;
    margin-left: -#{$lt-width / 2};
    background-color: $color-white;
    content: "";
  }

  svg {
    $lt-width: 43px;
    $lt-height: 39px;
    width: $lt-width;
    height: $lt-height;
    top: -#{$lt-height / 2};
    margin-left: -#{$lt-width / 2};
    z-index: 5;
  }
}

.enterprise-edition {
  $lt-bg-color: #de7e00;
  padding: $spacing-unit-lg 0;
  background-color: $lt-bg-color;
  background-image: linear-gradient(to bottom, $color-self-hosted-accent, $color-saas-accent);
  color: $color-white;

  p {
    @include font-weight-light;

    a {
      color: inherit;
      font-weight: inherit;
      border-bottom: 1px solid currentcolor;

      &:hover {
        border-color: transparent;
        text-decoration: none;
      }
    }
  }
}

.value-pillar-section {
  margin-top: 50px;
  margin-bottom: 75px;

  .main-heading {
    max-width: 680px;
    margin-right: auto;
    margin-bottom: 30px;
    margin-left: auto;
  }
}

.value-pillar-group {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.value-pillar {
  display: flex;
  margin-top: 20px;
  margin-left: 30px;
  margin-right: 30px;
  font-size: 20px;
  font-weight: 300;

  @media (min-width: $screen-md-min) {
    flex: 1 0 20%;
  }

  .value-pillar-media {
    flex: 0 0 116px;

    svg path,
    svg rect {
      $lt-icon-color: #6b4fbb;
      fill: $lt-icon-color;
    }
  }

  .value-pillar-body {
    flex: 1 1;
  }
}

.pillar-title {
  @include accent-font-regular;
  margin-top: 0;
  font-size: 26px;
}

.ten-oh-announcement {
  position: relative;
  color: $color-white;
  overflow-x: hidden;

  .row {
    display: flex;
    flex-flow: column;
    align-items: center;

    @media(min-width: $screen-lg-min) {
      flex-flow: row;
    }
  }
}

.ten-oh-label {
  @include accent-font-bold;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  font-size: 150px;
  line-height: 1;
  text-align: center;

  @media (min-width: $screen-sm-min) {
    font-size: 190px;
  }

  @media (min-width: $screen-lg-min) {
    font-size: 233px;
  }

  @media (min-width: 2400px) {
    padding-top: $spacing-unit-sm;
  }

  &::before {
    position: absolute;
    top: 0;
    left: -6.6%;
    width: 107%;
    height: 100%;
    background: url("/images/home/sky-bg.jpg") 50% 100% / cover no-repeat;
    content: "";
  }

  > span {
    position: relative;
  }
}

.ten-oh-description {
  position: relative;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  padding: 200px 40px 60px;
  font-size: 20px;
  font-weight: 300;

  &::before {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url("/images/home/mountains-bg-480.png") 50% 0 / cover no-repeat;
    content: "";

    @media (min-width: 380px) {
      top: -10px;
    }

    @media (min-width: 410px) {
      top: -20px;
    }

    @media (min-width: 440px) {
      top: -30px;
    }

    @media (min-width: 460px) {
      top: -40px;
    }

    @media (min-width: $screen-xs-min) {
      background-image: url("/images/home/mountains-bg-768.png");
      top: -10px;
    }

    @media (min-width: 500px) {
      top: 0;
    }

    @media (min-width: 600px) {
      top: -10px;
    }

    @media (min-width: 650px) {
      top: -20px;
    }

    @media (min-width: 700px) {
      top: -30px;
    }

    @media (min-width: 740px) {
      top: -40px;
    }

    @media (min-width: $screen-sm-min) {
      background-image: url("/images/home/mountains-bg-992.png");
      top: 30px;
    }

    @media (min-width: 850px) {
      top: 10px;
    }

    @media (min-width: 900px) {
      top: 0;
    }

    @media (min-width: $screen-md-min) {
      background-image: url("/images/home/mountains-bg-1200.png");
      top: 20px;
    }

    @media (min-width: 1050px) {
      top: 0;
    }

    @media (min-width: $screen-lg-min) {
      background-image: url("/images/home/mountains-bg.png");
    }

    @media (min-width: 1200px) {
      top: 80px;
    }

    @media (min-width: 1500px) {
      top: 60px;
    }

    @media (min-width: 1800px) {
      top: 40px;
    }

    @media (min-width: 2000px) {
      top: 0;
    }
  }

  @media (min-width: $screen-lg-min) {
    padding: 200px 80px 80px;
  }

  .main-heading {
    margin-bottom: 27px;
  }
}

.index .featured-content {
  @media (max-width: $grid-float-breakpoint) {
    text-align: center;
  }

  p {
    font-size: 18px;
  }

  .btn-group {
    @media (max-width: $grid-float-breakpoint) {
      width: 100%;
      text-align: center;
      left: 0;
    }

    a {
      @media (max-width: $grid-float-breakpoint) {
        margin-right: auto;
        margin-left: auto;
        float: none;
      }
    }
  }

  img {
    width: 325px;
  }
}

.top-30-callout {
  $lt-bg-color: #007bc3;
  $lt-gradient-start-color: #3c257b;
  $lt-gradient-mid-color: #074799;
  $lt-gradient-end-color: #15a0e8;
  @include size(250px);
  @include margin(null auto);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background-color: $lt-bg-color;
  background-image: linear-gradient(180deg, $lt-gradient-start-color, $lt-gradient-mid-color 50%, $lt-gradient-end-color);
  color: $color-white;
  text-align: center;

  @media (min-width: $screen-sm-min) {
    @include size(357px);
  }

  span {
    @include accent-font-light;
    display: block;
    font-size: 24px;
    line-height: 1.2;

    @media (min-width: $screen-sm-min) {
      font-size: 36px;
    }
  }

  em {
    @include accent-font-light;
    font-size: 50px;
    font-style: normal;
    line-height: 1;
    text-transform: uppercase;
  }

  strong {
    @include accent-font-bold;
    line-height: 1;
    font-size: 50px;
  }

  @media (min-width: $screen-sm-min) {
    em,
    strong {
      font-size: 90px;
    }
  }
}

.customers,
.customers-carousel,
.customers-carousel-slide {
  background-color: $link-color;
}

.customers-carousel-slide {
  background-position: 100% 0;
  background-repeat: no-repeat;
  background-size: contain;
  overflow-x: hidden;

  .slide-media {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    margin-right: calc(-50vw + 100%);
  }

  .slide-media-bg {
    @include position(absolute, 0);
    background-size: cover;
    background-position: 50% 50%;
    background-repeat: no-repeat;

    + * {
      position: relative; // For proper stacking
    }
  }
}

.customer-quote {
  $lt-color: #fefefe;
  border-left: 0;
  color: $lt-color;
  font-size: 20px;
  padding-top: $spacing-unit-sm;
  padding-bottom: $spacing-unit-sm;
  margin-bottom: 0;

  @media (min-width: $screen-md-min) {
    padding: $spacing-unit-lg 0;
  }

  .quote-text {
    margin-bottom: 30px;
    line-height: (30px / 20px);
  }

  .quote-meta {
    display: flex;
    align-items: center;
  }

  .quote-media {
    max-width: 60px;
    margin-right: 10px;
    border-radius: 50%;
    overflow: hidden;
  }

  .quote-attribution {
    font-style: normal;
  }

  .quote-attribution-title {
    display: block;
    font-size: 14px;
  }
}

// SCSS extracted from here for re-use.
// Keeping location to avoid specificity issues.
@import "feature-group";

.forrester-wave-section {
  margin-bottom: 90px;
  padding-top: 60px;
  padding-bottom: 60px;
  background: url("/images/home/forrester-wave-bg.jpg") 50% 50% / cover no-repeat;
  color: $color-white;

  @media (max-width: $screen-sm-max) {
    .flex-row {
      flex-wrap: wrap;
    }

    .forrester-wave-media {
      margin-top: 40px;
    }
  }
}

.forrester-wave-body {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.values-pillars {
  margin-top: $spacing-unit-sm;

  @include js--enabled() {
    display: flex;
    flex-flow: column;

    @media (min-width: $screen-sm-min) {
      flex-flow: row;
    }

    .value {
      display: none;
    }
  }

  .value {
    flex: 1 1 auto;
    padding-left: $spacing-unit-xs;

    &.is-active {
      display: block;
    }
  }

  .value-content {
    margin-bottom: $spacing-unit-xs;

    ul {
      padding-left: 22px;
    }

    li {
      margin-bottom: 10px;
      font-size: 20px;
      line-height: (28px / 20px);
    }
  }

  .sub-heading {
    margin: $spacing-unit-xs 0;
    font-size: 28px;
    line-height: 1.3;

    @media (min-width: $screen-md-min) {
      font-size: 34px;
    }
  }

  .value-media {
    .screen-shot-wrapper {
      $lt-laptop-width: 612px;
      $lt-top-padding: (24px / $lt-laptop-width) * 100%;
      $lt-right-padding: (88px / $lt-laptop-width) * 100%;
      $lt-bottom-padding: (35px / $lt-laptop-width) * 100%;
      $lt-left-padding: (87px / $lt-laptop-width) * 100%;
      position: relative;
      padding: $lt-top-padding $lt-right-padding $lt-bottom-padding $lt-left-padding; // To keep screenshot inside laptop frame
      background: url("/images/home/laptop.png") 50% 0 / contain no-repeat;

      &::after {
        position: absolute;
        top: 100%;
        left: -5%;
        width: 110%;
        height: 9%;
        //background: url("/images/home/laptop-shadow.png") 50% 0 / contain no-repeat;
        content: "";
      }
    }
  }

  @media (min-width: $screen-md-min) {
    .value.is-active {
      display: flex;
    }

    .value-content {
      @include columns-wide(4);
      flex: 1 0 auto;
      margin-bottom: 0;
      padding-left: 0;
    }

    .value-media {
      @include columns-wide(6);
      flex: 1 0 auto;
    }
  }
}

.values-pillars-nav {
  @include columns-wide(2);
  flex: 0 0 auto;

  @media (max-width: $screen-xs-max) {
    display: flex;
    justify-content: space-around;
    width: 100%;
  }

  li {
    $lt-color: #380d75;
    display: flex;
    position: relative;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    width: 110px;
    height: 110px;
    margin-bottom: 5px;
    background: $color-white;
    color: $lt-color;
    font-size: 20px;
    line-height: (24px / 20px);
    opacity: .25;

    &.is-active {
      opacity: 1;

      &::after {
        @include triangle(right, 10px, 20px, $color-white);
        @include position(absolute, 50% null null 100%);
        margin-top: -10px;
        content: "";

        @media (max-width: $screen-xs-max) {
          @include triangle(down, 20px, 10px, $color-white);
          top: 100%;
          left: 50%;
          margin-top: 0;
          margin-left: -10px;
        }
      }
    }

    .label {
      margin-top: 10px;
    }
  }
}

.integrated-teams {
  margin-top: -40px;
  margin-bottom: 75px;
  padding: 6.41026% 8.54701%;
  background-color: $color-primary-alt;
  color: $color-white;

  @media (min-width: $screen-sm-min) {
    padding: 45px;
    margin-top: -110px;
  }

  h2 {
    margin: 0;
    line-height: (50px / 40px);
  }
}

.divider-half {
  @media (min-width: $screen-md-min) {
    position: relative;

    &::before {
      @include position(absolute, 0 null 0 50%);
      display: block;
      width: 2px;
      background-color: $border-color;
      content: "";
    }
  }
}

.gke-layer {
  .gke-layer-body {
    $lt-vert-padding: (75px / 1170px) * 100%;
    $lt-horiz-padding: (100px / 1170px) * 100%;
    padding: $lt-vert-padding $lt-horiz-padding;
    background-color: $color-white;

    @media (min-width: $screen-md-min) {
      padding: 40px 60px;
    }
  }

  .gke-layer-media {
    $lt-horiz-padding: (44px / 1170px) * 100%;
    display: flex;
    align-items: center;
    padding: $spacing-unit-xs $lt-horiz-padding;
    background-color: $color-primary;
    background-image: linear-gradient(-180deg, $purple-section-gradient-to 0%, $purple-section-gradient-from 100%);
  }

  @media (min-width: $screen-md-min) {
    display: flex;

    .gke-layer-body {
      @include columns-wide(6);
    }

    .gke-layer-media {
      @include columns-wide(6);
    }
  }
}

.bottom-buttons .btn-group {
  @include position(absolute, null null 0 15px);
}

.index .feature-media {
  max-width: 100%;
}